
QGIS Application - Bug report #5622

layer properties, general, provider-specific options, encoding can not saved and the encoding of utf8 

codepage for german special characters ist wrong

2012-05-20 02:04 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15192

Description

In Qgis 1.7.x, you can choose and save the encoding (p.e. utf8, system) of the dbf-file. In 1.8, you can choose the encoding, but it will not

be save in the layers properties.

The german non latin chracters (ä, ü, ö ß) are are wrong translated in utf8 (p.e "HauptstraÃ�e" instead of "Hauptstraße")

Related issues:

Related to QGIS Application - Bug report # 5911: Language Driver ID in dbf fi... Closed 2012-06-30

History

#1 - 2012-05-22 12:46 AM - Giovanni Manghi

- OS version deleted (xp)

- Operating System deleted (win)

- Status changed from Open to Feedback

seems a lot #5255 if confirmed then is the known issue in GDAL, not QGIS. I hit the same issue yesterday on linux and had to switch to a qgis installation

compiled against an old gdal version... and everything works fine.

#2 - 2012-05-23 03:02 PM - Gerhard Spieles

wrong encoding of non latin characters seems to be an issue in gdal.

The item, that you can not save the encoding in layer properities may be a problem  of qgis.

When you load a shp-layer in qgis first time, qgis let choose you the encoding table (p.E. system or utf8). Even when i choose "system", the loaded layer

shoes in layer properities "utf8". It seems, that QGIS can not handle the encoding or it is "hardcoded" in gdal, reading the dbf-file.

I am only QGIS-user and not experienced enough.

#3 - 2012-05-24 04:02 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicates #5255

This is GDAL issue not QGIS one. You can use custom QGIS build from NextGIS (http://nextgis.ru/en/nextgis-qgis/), where this issue solved.
